Read record association limits between two objects
curl --request GET \
--url https://api.hubapi.com/crm/v3/limits/associations/records/{fromObjectTypeId}/{toObjectTypeId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm/v3/limits/associations/records/{fromObjectTypeId}/{toObjectTypeId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm/v3/limits/associations/records/{fromObjectTypeId}/{toObjectTypeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"atLimitFromRecordSamples": [
{
"label": "<string>",
"objectId": 123
}
],
"limit": 123,
"nearLimitFromRecordSamples": [
{
"label": "<string>",
"objectId": 123,
"percentage": 123,
"usage": 123
}
],
"totalRecordsAtLimit": 123,
"totalRecordsNearLimit": 123
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Limits
Read record association limits between two objects
Returns records approaching or at association limits between two objects
GET
/
crm
/
v3
/
limits
/
associations
/
records
/
{fromObjectTypeId}
/
{toObjectTypeId}
Read record association limits between two objects
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Response
successful operation
Show child attributes
Show child attributes
The maximum number of associations allowed for records.
Show child attributes
Show child attributes
The total number of records that have reached their association limit.
The total number of records that are approaching their association limit.
Last modified on May 18, 2026
Was this page helpful?
⌘I